TEMPLATE = lib
TARGET = juff
DEFINES = JUFFED_MAKE_DLL

# lib
HEADERS += \
    include/AppInfo.h \
    include/AppInfo.os2.h \
    include/AutocompleteSettings.h \
    include/CharsetsSettings.h \
    include/CommandStorage.h \
    include/FileTypeSettings.h \
    include/Functions.h \
    include/IconManager.h \
    include/Juff.h \
    include/JuffPlugin.h \
    include/KeySettings.h \
    include/License.h \
    include/Log.h \
    include/MainSettings.h \
    include/ManagerInterface.h \
    include/Parameter.h \
    include/PluginSettings.h \
    include/PrintSettings.h \
    include/Settings.h \
    include/SettingsCheckItem.h \
    include/SettingsItem.h \
    include/SettingsSelectItem.h \
    include/TextDocSettings.h


# lib
SOURCES += \
    src/AutocompleteSettings.cpp \
    src/CharsetsSettings.cpp \
    src/CommandStorage.cpp \
    src/FileTypeSettings.cpp \
    src/IconManager.cpp \
    src/JuffFunctions.cpp \
    src/KeySettings.cpp \
    src/Log.cpp \
    src/MainSettings.cpp \
    src/PluginSettings.cpp \
    src/PrintSettings.cpp \
    src/Settings.cpp \
    src/SettingsCheckItem.cpp \
    src/SettingsItem.cpp \
    src/SettingsSelectItem.cpp \
    src/TextDocSettings.cpp
#    src/Parameter.cpp

DESTDIR = 

INCLUDEPATH = include \
    include/Qsci

#LIBS = -lqscint25

OBJECTS_DIR = .build.os2/
MOC_DIR = .build.os2/
RCC_DIR = .build.os2/

#QT += xml network

#TRANSLATIONS += \
#    l10n/juffed_cs.ts \
#    l10n/juffed_de.ts \
#    l10n/juffed_fr.ts \
#    l10n/juffed_pl.ts \
#    l10n/juffed_pt.ts \
#    l10n/juffed_ru.ts \
#    l10n/juffed_sp.ts \
#    l10n/juffed_zh_CN.ts
