#include <QRegExp>
#include <ClassItem.hpp>

ClassItem::ClassItem()
:	QPair<QString, QString>()
{
}

ClassItem::ClassItem(QString const& key, QString const& data)
:	QPair<QString, QString>(key, data)
{
}

QString ClassItem::key() const
{
	return first;
}

QString ClassItem::name() const
{
	return second.section(QRegExp("[\\s:]"), 0, 0, QString::SectionSkipEmpty);
}

QString ClassItem::data() const
{
	return second;
}
