#ifndef __CLASSITEM_HPP__
#define __CLASSITEM_HPP__

#include <QPair>
#include <QVector>
#include <QString>

class ClassItem; // this is for the typedef QVector... below

class ClassItem: public QPair<QString, QString>
{
public:
	typedef QVector<ClassItem> Vec;
	typedef Vec::iterator It;
	typedef Vec::const_iterator ConstIt;

	ClassItem();
	ClassItem(QString const& key, QString const& data);
	
	QString key() const;
	QString name() const;
	QString data() const;

private:

};

#endif
