#ifndef __DLGCPPSETTINGS_HPP__
#define __DLGCPPSETTINGS_HPP__

#include <QTabWidget>
#include <QTextDocument>
#include <TextModSettings.hpp>
#include "ui_DlgCppSettings.h"

class DlgCppSettings: public QTabWidget
{
	Q_OBJECT
	
public:
	DlgCppSettings(TextModSettings const& sett,
				   QWidget* parent = 0);

	void getSettings(TextModSettings& sett);

private:
	Ui::DlgCppSettings ui;

	QTextDocument* docHppTemplate_;
	QTextDocument* docIncludeParent_;
	QTextDocument* docParentAccess_;
	QTextDocument* docCppTemplate_;
	QTextDocument* docConstructParent_;

	QString trimLeading(QString const& chars, QString const& str) const;

};

#endif
